All resources All frames

# RedirecterFrame

This frame perform an internal redirect.

## Inherits

The RedirecterFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame

## Attributes description

The RedirecterFrame defines the following attributes:

- target
- methods

`target`

semantics
  The internal target URL.
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

`methods`

semantics

  Perform the redirection only for the given HTTP methods (GET, PUT, POST, ...). Default is "perform redirection for all methods".
type
  This attribute is an editable StringArrayAttribute
default value

This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.frames.RedirecterFrame.html,v 1.3 1998/03/27 08:19:27 bmahe Exp $